Subject: Re: Perl 5.14.2 seems to expect gcc-4
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: "[email-masked]" <[email-masked]>, Nikolai Weibull <[email-masked]>
Date: Wed, 1 Aug 2012 12:46:19 -0500
List-Id: <cygwin.cygwin.com>

On Wed, Aug 1, 2012 at 10:46 AM, Matt Seitz (matseitz) wrote:
>> On Wed, Aug 1, 2012 at 11:12 AM, Nikolai Weibull wrote:
>> >
>> > Cygwin updated perl to 5.14.2 on my system and now I can’t compile
>> > XML::LibXML.  It seems that
>> >
>> > c:\lib\perl5\5.14\i686-cygwin-threads-64int\Config.pm
>> >
>> > expects cc to be gcc-4.  Gcc-4 doesn’t exist yet, it seems.  What’s
>> > going on here?
>>
>> Sorry, scratch that, gcc-4 is available.  I got confused by the separate
>> version schemes (which I realize are necessary, but easy to miss when
>> you’re a bit stressed out.)
>
> Did Cygwin "setup.exe" prompt you to install the "gcc-4" package when you updated perl?
>
> I thought "setup.exe" would prompt the user if any additional packages needed to be installed.

no. gcc-4, make and more are not automatically installed with perl.
you will only need when you compile your own XS packages with cpan.

XML::LibXML is included in the new package perl_vendor
-- 
Reini Urban
http://cpanel.net/   http://www.perl-compiler.org/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple